# $Revision: 1.33 $, $Date: 2011/05/19 21:13:06 $
Summary:	Utility to copy digital audio cd's
Summary(es.UTF-8):	Extrator de CDs de sonido
Summary(pl.UTF-8):	Program do kopiowania płyt cd-audio
Summary(pt_BR.UTF-8):	Extrator de CDs de áudio
Summary(ru.UTF-8):	Утилита для копирования цифровых аудио-CD
Summary(uk.UTF-8):	Утиліта для копіювання цифрових аудіо-CD
Name:		cdparanoia-III
Version:	10.2
Release:	4
Epoch:		2
License:	LGPL v2 (libraries), GPL v2 (utility)
Group:		Applications/Sound
Source0:	http://downloads.xiph.org/releases/cdparanoia/%{name}-%{version}.src.tgz
# Source0-md5:	b304bbe8ab63373924a744eac9ebc652
Patch0:		%{name}-acfix.patch
Patch1:		%{name}-gcc43.patch
Patch2:		%{name}-buffer.patch
Patch3:		%{name}-fpic.patch
URL:		http://www.xiph.org/paranoia/
BuildRequires:	autoconf
BuildRequires:	automake
Requires:	%{name}-libs = %{epoch}:%{version}-%{release}
Obsoletes:	cdparanoia
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Cdparanoia (Paranoia III) reads digital audio directly from a CD, then
writes the data to a file or pipe in WAV, AIFC or raw 16 bit linear
PCM format. Cdparanoia's strength lies in its ability to handle a
variety of hardware, including inexpensive drives prone to
misalignment, frame jitter and loss of streaming during atomic reads.
Cdparanoia is also good at reading and repairing data from damaged
CDs.

%description -l es.UTF-8
Cdparanoia (Paranoia III) lee la frecuencia de sonido digital
directamente de un CD, y a partir de ésta escribe los datos en un
archivo o una conexión temporal en formato WAV, AIFC o PCM 16 bits. El
poder del Cdparanoia consiste en la capacidad de usar una gran
variedad de hardware, inclusive unidades de accionamiento (drives)
baratos con problemas de alineamiento y que pierden datos durante la
lectura. El Cdparanoia también sirve para leer y reparar datos de un
CD con defecto.

%description -l pl.UTF-8
CDDA Paranoia czyta z kompaktu w postaci cyfrowej ścieżkę audio, a
następnie zapisuje ją do pliku lub potoku. Formatem zapisu może być
plik typu WAV, AIFC lub czysty, 16-bitowy PCM.

%description -l pt_BR.UTF-8
Cdparanoia (Paranoia III) lê freqüência de áudio digital diretamente
de um CD, e então escreve os dados para um arquivo ou pipe em formato
WAV, AIFC ou PCM 16 bits. O poder do Cdparanoia está na capacidade de
usar uma grande variedade de hardware, inclusive drives baratos com
problemas de alinhamento e que perdem dados durante a leitura. O
Cdparanoia também é bom para ler e reparar dados de um CD danificado.

%description -l ru.UTF-8
Cdparanoia (Paranoia III) читает цифровое аудио напрямую с CD,
записывая данные в файл или канал в форматах WAV, AIFC или raw 16 bit
linear PCM. Сильная сторона Cdparanoia - в возможности работать с
разнообразным аппаратным обеспечением, включая дешевые дисководы,
склонные к misalignment, frame jitter и loss of streaming during
atomic reads. Cdparanoia также хорошо справляется с чтением и
исправлением данных с поврежденных CD.

%description -l uk.UTF-8
Cdparanoia (Paranoia III) читає цифрове аудіо напряму з CD та записує
дані в файл чи канал в форматах WAV, AIFC чи raw 16 bit linear PCM.
Сильна сторона Cdparanoia - в можливості працювати з різноманітним
апаратним забезпеченням, включаючи дешеві дисководи, схильні до
misalignment, frame jitter та loss of streaming during atomic reads.
Cdparanoia також добре справляється з читанням та виправленням даних з
пошкоджених CD.

%package libs
Summary:	Libraries of CD Paranoia program
Summary(pl.UTF-8):	Biblioteki programu CD Paranoia
License:	LGPL v3
Group:		Libraries
Obsoletes:	cdparanoia-libs

%description libs
This package contains libraries of CD Paranoia program.

%description libs -l pl.UTF-8
W pakiecie tym znajdują się biblioteki programu CD Paranoia.

%package devel
Summary:	Header files for CD Paranoia libraries
Summary(pl.UTF-8):	Pliki nagłówkowe do bibliotek programu CD Paranoia
Summary(pt_BR.UTF-8):	Bibliotecas de desenvolvimento para o cdparanoia
License:	LGPL v3
Group:		Development/Libraries
Requires:	%{name}-libs = %{epoch}:%{version}-%{release}
Obsoletes:	cdparanoia-devel

%description devel
This package contains header files for CD Paranoia libraries.

%description devel -l pl.UTF-8
W pakiecie tym znajdują się pliki nagłówkowe do bibliotek programu CD
Paranoia.

%description devel -l pt_BR.UTF-8
Arquivos de inclusão e bibliotecas necessárias para desenvolver
programas que utilizam o cdparanoia.

%package static
Summary:	Static libraries of CD Paranoia program
Summary(pl.UTF-8):	Biblioteki statyczne programu CD Paranoia
Summary(pt_BR.UTF-8):	Bibliotecas estáticas do cdparanoia
License:	LGPL v3
Group:		Development/Libraries
Requires:	%{name}-devel = %{epoch}:%{version}-%{release}

%description static
Static libraries of CD Paranoia program.

%description static -l pl.UTF-8
Biblioteki statyczne programu CD Paranoia.

%description static -l pt_BR.UTF-8
Bibliotecas estáticas do cdparanoia.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p0
%patch3 -p1

%build
# bleh? look at the beginning of configure.in
cp -f %{_datadir}/automake/config.guess configure.guess
cp -f %{_datadir}/automake/config.sub configure.sub
%{__aclocal}
%{__autoconf}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_libdir},%{_mandir}/man1,%{_includedir}}

%{__make} install \
	BINDIR=$RPM_BUILD_ROOT%{_bindir} \
	LIBDIR=$RPM_BUILD_ROOT%{_libdir} \
	MANDIR=$RPM_BUILD_ROOT%{_mandir} \
	INCLUDEDIR=$RPM_BUILD_ROOT%{_includedir}

install -D cdparanoia.1.jp $RPM_BUILD_ROOT%{_mandir}/ja/man1/cdparanoia.1

# for rpm autodeps
chmod +x $RPM_BUILD_ROOT%{_libdir}/lib*so.*

%clean
rm -rf $RPM_BUILD_ROOT

%post	libs -p /sbin/ldconfig
%postun	libs -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc README
%attr(755,root,root) %{_bindir}/cdparanoia
%{_mandir}/man1/cdparanoia.1*
%lang(ja) %{_mandir}/ja/man1/cdparanoia.1*

%files libs
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libcdda_interface.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libcdda_interface.so.0
%attr(755,root,root) %{_libdir}/libcdda_paranoia.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libcdda_paranoia.so.0

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libcdda_interface.so
%attr(755,root,root) %{_libdir}/libcdda_paranoia.so
%{_includedir}/cdda_interface.h
%{_includedir}/cdda_paranoia.h
%{_includedir}/utils.h

%files static
%defattr(644,root,root,755)
%{_libdir}/libcdda_interface.a
%{_libdir}/libcdda_paranoia.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: cdparanoia-III.spec,v $
Revision 1.33  2011/05/19 21:13:06  lisu
- rel 4

Revision 1.32  2011/05/19 20:29:17  lisu
- fixed build on x86_64

Revision 1.31  2009/03/01 15:07:42  wrobell
- added buffer fix from cdparanoia svn repo
- rel. 3

Revision 1.30  2008/11/11 16:03:54  arekm
- rel 2

Revision 1.29  2008/11/03 19:18:41  tommat
- add gcc43 patch from gentoo http://bugs.gentoo.org/show_bug.cgi?id=238378
- stbr

Revision 1.28  2008/09/17 00:18:01  qboosh
- updated to 10.2

Revision 1.27  2008/08/07 17:29:20  arekm
- up to 10.1

Revision 1.26  2008-06-10 18:25:37  patrys
- epoch 2 (10pre2 > 10.0)

Revision 1.25  2008-06-10 18:22:04  patrys
- 10.0 stable

Revision 1.24  2008-05-29 22:28:23  qboosh
- updated to 10pre2 (GPL v3/LGPL v3 now)

Revision 1.23  2008-01-06 23:06:41  qboosh
- ghost soname symlinks
- fixed ja manual installation
- GPL v2

Revision 1.22  2007-10-23 17:45:54  wolf
- 10pre0

Revision 1.21  2007/09/05 11:57:25  baggins
- rel 9

Revision 1.20  2007/03/18 13:03:40  glen
- fix rpm autodeps in -lib; rel 8

Revision 1.19  2007/02/12 21:23:50  glen
- tabs in preamble

Revision 1.18  2007/02/12 00:48:41  baggins
- converted to UTF-8

Revision 1.17  2006/10/13 07:40:55  glen
- rel 7

Revision 1.16  2006/10/13 07:16:34  qboosh
- updated URLs, strict internal deps

Revision 1.15  2006/10/12 19:51:19  arekm
- rel 6; link with required libs

Revision 1.14  2005/09/07 20:40:22  glen
- propose rename

Revision 1.13  2005/05/11 13:31:16  pluto
- release 5 for Th.

Revision 1.12  2004/12/02 13:38:14  glen
- -libs Obsolete cdparanoia-libs

Revision 1.11  2004/11/07 11:48:06  paladine
- spaces->tabs

Revision 1.10  2004/09/25 11:20:51  radek
- cosmetics (spaces -> tabs)

Revision 1.9  2004/09/08 10:58:46  wrobell
- rel. 4

Revision 1.8  2004/07/08 21:16:09  jpc
- adapterized
- added gcc34 patch (based on:
  http://mail-index.netbsd.org/pkgsrc-bugs/2004/05/27/0004.html)

Revision 1.7  2003/11/17 10:30:59  wiget
- release 3

Revision 1.6  2003/08/06 16:42:42  kloczek
- może wrescie ktoś wykasuje to konto ?

Revision 1.5  2003/05/25 11:00:50  malekith
- massive attack, adding Source-md5

Revision 1.4  2003/05/25 05:46:10  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.3  2003/01/05 22:26:59  qboosh
- proper fix - just update config.* files with fresh ones from automake
  (looks strange because this configure.in copies them from second copy :o)

Revision 1.2  2003/01/05 18:23:58  radek
- workaround for configure.sub not recognizing athlon

Revision 1.1  2002/11/01 12:34:57  malekith
- renamed to match Name:

Revision 1.39  2002/10/10 12:33:10  marcus
- use new %doc

Revision 1.38  2002/10/09 13:14:18  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.37  2002/05/21 23:12:43  kloczek
- perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
     s/^autoconf/\%\{__autoconf\}/"

Revision 1.36  2002/04/25 16:04:07  arturs
- fixed a small typo

Revision 1.35  2002/02/23 01:33:39  kloczek
- adapterized.

Revision 1.34  2002/02/22 23:28:44  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.33  2002/01/18 02:12:33  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.32  2001/10/20 13:58:29  kloczek
- merge CNV nad KSi translations,
- added cdparanoia{,-devel} to Obsoletes.

Revision 1.31  2001/10/20 13:12:03  qboosh
- acfix patch for autoconf 2.52
- ja manual added
- release 2

Revision 1.30  2001/10/10 15:00:11  qboosh
- adapterized

Revision 1.29  2001/10/10 14:58:57  qboosh
- BuildRequires: autoconf, automake

Revision 1.28  2001/06/06 01:23:54  qboosh
- updated to alpha-9.8
- adapterized, removed stripping etc.

Revision 1.27  2000/07/18 13:40:44  kloczek
- typos.

Revision 1.26  2000/07/18 13:34:48  kloczek
- added staic subpackage,
- added striiping shared libraries.

Revision 1.25  2000/07/17 14:37:06  zagrodzki
- release 3
- updated patch0 (don't add RPM_OPT, just remove CFLAGS="")
- cosmetics

Revision 1.24  2000/07/15 13:11:22  zagrodzki
- release 2
- ldconfig for libs subpackage
- requires: %{name}-libs

Revision 1.23  2000/06/09 07:54:39  kloczek
- more %{__make} macros.

Revision 1.22  2000/06/09 07:22:48  kloczek
- added using %{__make} macro.

Revision 1.21  2000/05/18 16:58:01  kloczek
- spec adapterized.

Revision 1.20  2000/04/08 23:00:33  zagrodzki
- updated homepage URL and source URL.

Revision 1.19  2000/04/01 11:14:24  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.18  2000/03/28 16:54:15  baggins
- translated kloczkish into english

Revision 1.17  2000/01/08 08:51:55  wrobell
- upgraded to 9.7 version
- added libs and devel packages
- updated description and descriotion translations

Revision 1.16  1999/10/27 13:48:37  baggins
- updated to alpha9.6

Revision 1.15  1999/07/12 23:05:55  kloczek
- added using CVS keywords in %changelog (for automating them).
